Package: hellodatascience
Type: Package
Title: Datasets from the Hello Data Science Book
Version: 0.1.1
Authors@R: c(
    person("Mine", "Dogucu", , "mdogucu@gmail.com", c("aut", "cre"), comment = c(ORCID = "0000-0002-8007-934X")), 
    person("Catalina", "Medina", , role = "aut", comment = c(ORCID = "0000-0003-2847-8180")),
    person("Alma", "Castro", , role = "aut")
    )
Description: Provides datasets used for analysis 
  and visualizations in the open-access Hello Data Science book. 
License: GPL (>= 3)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.5)
URL: https://hellodata-science.github.io/hellodatascience/
BugReports: https://github.com/hellodata-science/hellodatascience/issues
Config/roxygen2/version: 8.0.0
NeedsCompilation: no
Packaged: 2026-06-12 17:13:57 UTC; minedogucu
Author: Mine Dogucu [aut, cre] (ORCID: <https://orcid.org/0000-0002-8007-934X>),
  Catalina Medina [aut] (ORCID: <https://orcid.org/0000-0003-2847-8180>),
  Alma Castro [aut]
Maintainer: Mine Dogucu <mdogucu@gmail.com>
Repository: CRAN
Date/Publication: 2026-06-12 17:50:02 UTC
Built: R 4.6.0; ; 2026-06-12 21:21:50 UTC; unix

Package: hellodatascience
Type: Package
Title: Datasets from the Hello Data Science Book
Version: 0.1.1
Authors@R: c(
    person("Mine", "Dogucu", , "mdogucu@gmail.com", c("aut", "cre"), comment = c(ORCID = "0000-0002-8007-934X")), 
    person("Catalina", "Medina", , role = "aut", comment = c(ORCID = "0000-0003-2847-8180")),
    person("Alma", "Castro", , role = "aut")
    )
Description: Provides datasets used for analysis 
  and visualizations in the open-access Hello Data Science book. 
License: GPL (>= 3)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.5)
URL: https://hellodata-science.github.io/hellodatascience/
BugReports: https://github.com/hellodata-science/hellodatascience/issues
Config/roxygen2/version: 8.0.0
NeedsCompilation: no
Packaged: 2026-06-12 17:13:57 UTC; minedogucu
Author: Mine Dogucu [aut, cre] (ORCID: <https://orcid.org/0000-0002-8007-934X>),
  Catalina Medina [aut] (ORCID: <https://orcid.org/0000-0003-2847-8180>),
  Alma Castro [aut]
Maintainer: Mine Dogucu <mdogucu@gmail.com>
Repository: CRAN
Date/Publication: 2026-06-12 17:50:02 UTC
Built: R 4.6.0; ; 2026-06-12 20:28:05 UTC; unix

# hellodatascience

📦 R package for Supplemental Materials for the Hello Data Science Book

<!-- README.md is generated from README.Rmd. Please edit that file -->

# hellodatascience <img src="man/figures/logo.png" align="right" alt="a hex shaped logo with green, pink, and yellow scatterplot points in the background. There is text that reads Hello Data Science" width="120" />

**hellodatascience** is a package to supplement the upcoming open-access
*Hello Data Science* book. It contains datasets that are used in the
book. You can find documentation on the [package
website](https://hellodata-science.github.io/hellodatascience/).

<hr>

## Installation

You can install `hellodatascience` from CRAN.

``` r
install.packages("hellodatascience") 
```

You can install the development version from GitHub. You would also need
to install the devtools package if you do not have it installed already.

``` r
#install.packages("devtools") 
devtools::install_github("hellodata-science/hellodatascience")
```

#' FIFA Confederations Data
#' 
#' The data was obtained from FIFA website \url{https://inside.fifa.com/associations/} and contains information on the FIFA Member Associations (MAs), also known are confederations, which are responsible for the development and governance of football/soccer within their region
#' 
#' @format A data frame with 7 rows and 2 variables. Each row represents a FIFA confederation, including FIFA itself.
#' \describe{
#'   \item{confederation}{name of the FIFA member association}
#'   \item{region}{region or continent overseed by the confederation}
#' }
#' @source (2026). \url{https://inside.fifa.com/associations/}.

"confederations"

#' Penn World Data
#' 
#' The data was downloaded from \url{https://www.rug.nl/ggdc/productivity/pwt/} and contains information about different economic measures of countries around the world. The dataset has been subset and variable names have been modified for exercise purposes.
#' 
#' @format A data frame with 12810 rows and 14 variables. Each row represents a country in a specific year.
#' \describe{
#'   \item{Country Code}{3-letter ISO country code}
#'   \item{Country}{country name}
#'   \item{Currency Unit}{currency unit}
#'   \item{Year}{year}
#'   \item{Real GDP Expenditure}{expenditure-side real GDP at chained PPPs (in mil. 2017US$)}
#'   \item{Real GDP Output}{output-side real GDP at chained PPPs (in mil. 2017US$)}
#'   \item{Population}{population (in millions)}
#'   \item{Emp}{number of persons engaged (in millions)}
#'   \item{Average Hours}{average annual hours worked by persons engaged}
#'   \item{PL Consumption}{price level of household consumption,  price level of USA GDPo in 2017=1}
#'   \item{PL Capital Formation}{price level of capital formation,  price level of USA GDPo in 2017=1}
#'   \item{PL Gov}{price level of government consumption,  price level of USA GDPo in 2017=1}
#'   \item{PL Exports}{price level of exports, price level of USA GDPo in 2017=1}
#'   \item{PL Imports}{price level of imports, price level of USA GDPo in 2017=1}
#' }
#' @source Feenstra, Robert C., Robert Inklaar and Marcel P. Timmer (2015), "The Next Generation of the Penn World Table" American Economic Review, 105(10), 3150-3182, available for download at \url{http://www.ggdc.net/pwt/}.

"penn_world"

#' Planets Data
#' 
#' The data was scraped from NASA's website \url{https://nssdc.gsfc.nasa.gov/planetary/factsheet/index.html} and contains information on the planets of our Solar System
#' 
#' @format A data frame with 8 rows and 7 variables. Each row represents a planet.
#' \describe{
#'   \item{name}{name of the planet}
#'   \item{mass}{mass in 10^24 kg}
#'   \item{length_of_day}{length of day in hours}
#'   \item{mean_temp}{whether mean temperature in C is positive or not \{negative\}\{positive\}}
#'   \item{n_moons}{number of moons}
#'   \item{ring_system}{whether the planet has set of rings around it \{TRUE\} \{FALSE\}}
#'   \item{surface_pressure}{surface pressure in bars}
#' }
#' @source David R. Williams (2024). \url{https://nssdc.gsfc.nasa.gov/planetary/factsheet/index.html}.

"planets"

#' FIFA World Cup 2026 Country and Ranking Data
#' 
#' The data was scraped from Whereig website \url{https://www.whereig.com/football/fifa-world-rankings.html/} and contains information on the Men's FIFA World Cup 2026 qualifying teams and ranking data as of 01 April 2026
#' 
#' @format A data frame with 7 rows and 3 variables. Each row represents a country men's soccer team that qualified for the FIFA World Cup 2026.
#' \describe{
#'   \item{country}{name of the country soccer team}
#'   \item{fifa_rank}{FIFA world ranking as of April, 2026}
#'   \item{confederation}{region/continent association affiliated to FIFA}
#' }
#' @source Whereig editors (2026). \url{https://www.whereig.com/football/fifa-world-rankings.html/}.

"country_rank"

#' Fruit and Vegetable Prices
#'
#' How much do fruits and vegetables cost? 
#' United States Department of Agriculture (USDA) Economic Research Service (ERS),  estimated average prices for 153 commonly consumed fresh and processed fruits and vegetables.
#' USDA ERS calculated average prices at retail stores using 2022 retail scanner data from Circana (formerly Information Resources Inc. (IRI)). 
#' A selection of retail establishments—grocery stores, supermarkets, supercenters, convenience stores, drug stores, and liquor stores—across the United States provides Circana with weekly retail sales data (revenue and quantity).
#'
#' @format A data frame with 155 rows and 10 variables:
#' \describe{
#'   \item{id}{ID of item}
#'   \item{produce}{name of produce}
#'   \item{form}{form of produce, either `Canned`, `Dried`, `Fresh`, `Frozen`, or `Juice`}
#'   \item{retail_price}{average retail price per pound or per pint}
#'   \item{retail_price_unit}{unit for the `retail_price`, either `per pint` or `per pound`}
#'   \item{cup_equivalent_size}{For most fruits and vegetables, a cup equivalent is the edible portion that will fit into a 1-cup measuring cup; for raisins and other dried fruit, it is the edible portion that will fit into a 1/2-cup; and for leafy vegetables, 2 cups. An edible cup equivalent is the unit of measurement used by the U.S. Department of Agriculture and the Department of Health and Human Services to report fruit and vegetable consumption recommendations.}
#'   \item{cup_equivalent_unit}{unit for `cup_equivalent_size`}
#'   \item{cup_equivalent_price}{average retail price per `cup_equivalent_unit` of produce}
#'   \item{type}{type of produce, either `fruit` or `vegetables`}
#'   \item{year}{year}
#'   # Add more items for each column
#' }
#' @source U.S. Department of Agriculture, Economic Research Service. (2024). Fruit and vegetable prices. \url{https://www.ers.usda.gov/data-products/fruit-and-vegetable-prices}
"produce_prices"

#' FIFA World Cup 2026 Country and Capital Data
#' 
#' The data was obtained from The World Data website \url{https://theworlddata.com/world-population-by-country/} which contains information on the Men's FIFA World Cup 2026 qualifying teams and their 2025 population, 
#' and from the WorldData.info website \url{https://www.worlddata.info/capital-cities.php} which contains information on the capital cities of all countries. 
#' 
#' @format A data frame with 5 rows and 3 variables. Each row represents a country men's soccer team that qualified for the FIFA World Cup 2026.
#' \describe{
#'   \item{country}{name of the country}
#'   \item{capital}{name of the country's capital city}
#'   \item{population}{population size in millions based on the United Nations Population Division estimates for 2025}
#' }
#' @source (2026). \url{https://theworlddata.com/world-population-by-country/}.
#' @source (2025). \url{https://www.worlddata.info/capital-cities.php}.

"country_capital"

#' ATUS (American Time Use Survey) College/University Student Data
#' 
#' The 2024 data was downloaded from U.S. Bureau of Labor Statistics' website \url{https://www.bls.gov/tus/data/datafiles-2024.htm} and subset to include only respondents who are enrolled in college or university. This dataset is used only for educational purposes. Those conducting real research should download the data from its original source. BLS.gov cannot vouch for the data or analyses derived from these data after the data have been retrieved from BLS.gov.
#' 
#' @format A data frame with 312 rows and 5 variables. Each row represents a college student.
#' \describe{
#'   \item{employment}{full time or part time employment status of respondent}
#'   \item{age}{age}
#'   \item{enrollment}{are you enrolled as a full-time or part-time student?}
#'   \item{weekly_earnings}{weekly earnings at main job}
#'   \item{household_size}{number of people living in respondent's household}
#'   \item{time_alone}{total nonwork-related time respondent spent alone (in minutes)}
#'   \item{sleep_time}{time spent sleeping}
#'   \item{work_time}{time spent working at main job}
#'   \item{degree_class_time}{time spent taking class for degree, certification, or licensure}
#'   \item{shopping_time}{time spent shopping (store, telephone, internet)}
#'   \item{lunch_break_time}{time spent taking a lunch break}
#'   \item{sports_time}{time spent participating in sports, exercise, or recreation}
#'   \item{religious_time}{time spent attending or participating in religious services}
#' }
#' @source U.S. Bureau of Labor Statistics (2025). \url{https://nssdc.gsfc.nasa.gov/planetary/factsheet/index.html}.

"atus_college"

#' Mexico's and the United States' World Cup Participation Rankings Data
#' 
#' The data was gathered from The Soccer World Cups website \url{https://www.thesoccerworldcups.com/world_cups.php} and contains information about every World Cup played including national teams, standings, and more
#' 
#' @format A data frame with 2 rows and 5 variables. Each row represents Mexico's and the United States' men soccer team and their final participation ranking at the last four world cup tournaments.
#' \describe{
#'   \item{country}{name of the country soccer team}
#'   \item{2010}{final ranking in the 2010 world cup}
#'   \item{2014}{final ranking in the 2014 world cup}
#'   \item{2018}{final ranking in the 2018 world cup}
#'   \item{2022}{final ranking in the 2022 world cup}
#' }
#' @source (2026). \url{https://www.thesoccerworldcups.com/world_cups.php}.

"mx_us_wc_ranks"

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-planets.R
\docType{data}
\name{planets}
\alias{planets}
\title{Planets Data}
\format{
A data frame with 8 rows and 7 variables. Each row represents a planet.
\describe{
  \item{name}{name of the planet}
  \item{mass}{mass in 10^24 kg}
  \item{length_of_day}{length of day in hours}
  \item{mean_temp}{whether mean temperature in C is positive or not \{negative\}\{positive\}}
  \item{n_moons}{number of moons}
  \item{ring_system}{whether the planet has set of rings around it \{TRUE\} \{FALSE\}}
  \item{surface_pressure}{surface pressure in bars}
}
}
\source{
David R. Williams (2024). \url{https://nssdc.gsfc.nasa.gov/planetary/factsheet/index.html}.
}
\usage{
planets
}
\description{
The data was scraped from NASA's website \url{https://nssdc.gsfc.nasa.gov/planetary/factsheet/index.html} and contains information on the planets of our Solar System
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-atus-college.R
\docType{data}
\name{atus_college}
\alias{atus_college}
\title{ATUS (American Time Use Survey) College/University Student Data}
\format{
A data frame with 312 rows and 5 variables. Each row represents a college student.
\describe{
  \item{employment}{full time or part time employment status of respondent}
  \item{age}{age}
  \item{enrollment}{are you enrolled as a full-time or part-time student?}
  \item{weekly_earnings}{weekly earnings at main job}
  \item{household_size}{number of people living in respondent's household}
  \item{time_alone}{total nonwork-related time respondent spent alone (in minutes)}
  \item{sleep_time}{time spent sleeping}
  \item{work_time}{time spent working at main job}
  \item{degree_class_time}{time spent taking class for degree, certification, or licensure}
  \item{shopping_time}{time spent shopping (store, telephone, internet)}
  \item{lunch_break_time}{time spent taking a lunch break}
  \item{sports_time}{time spent participating in sports, exercise, or recreation}
  \item{religious_time}{time spent attending or participating in religious services}
}
}
\source{
U.S. Bureau of Labor Statistics (2025). \url{https://nssdc.gsfc.nasa.gov/planetary/factsheet/index.html}.
}
\usage{
atus_college
}
\description{
The 2024 data was downloaded from U.S. Bureau of Labor Statistics' website \url{https://www.bls.gov/tus/data/datafiles-2024.htm} and subset to include only respondents who are enrolled in college or university. This dataset is used only for educational purposes. Those conducting real research should download the data from its original source. BLS.gov cannot vouch for the data or analyses derived from these data after the data have been retrieved from BLS.gov.
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-produce-prices.R
\docType{data}
\name{produce_prices}
\alias{produce_prices}
\title{Fruit and Vegetable Prices}
\format{
A data frame with 155 rows and 10 variables:
\describe{
  \item{id}{ID of item}
  \item{produce}{name of produce}
  \item{form}{form of produce, either `Canned`, `Dried`, `Fresh`, `Frozen`, or `Juice`}
  \item{retail_price}{average retail price per pound or per pint}
  \item{retail_price_unit}{unit for the `retail_price`, either `per pint` or `per pound`}
  \item{cup_equivalent_size}{For most fruits and vegetables, a cup equivalent is the edible portion that will fit into a 1-cup measuring cup; for raisins and other dried fruit, it is the edible portion that will fit into a 1/2-cup; and for leafy vegetables, 2 cups. An edible cup equivalent is the unit of measurement used by the U.S. Department of Agriculture and the Department of Health and Human Services to report fruit and vegetable consumption recommendations.}
  \item{cup_equivalent_unit}{unit for `cup_equivalent_size`}
  \item{cup_equivalent_price}{average retail price per `cup_equivalent_unit` of produce}
  \item{type}{type of produce, either `fruit` or `vegetables`}
  \item{year}{year}
  # Add more items for each column
}
}
\source{
U.S. Department of Agriculture, Economic Research Service. (2024). Fruit and vegetable prices. \url{https://www.ers.usda.gov/data-products/fruit-and-vegetable-prices}
}
\usage{
produce_prices
}
\description{
How much do fruits and vegetables cost? 
United States Department of Agriculture (USDA) Economic Research Service (ERS),  estimated average prices for 153 commonly consumed fresh and processed fruits and vegetables.
USDA ERS calculated average prices at retail stores using 2022 retail scanner data from Circana (formerly Information Resources Inc. (IRI)). 
A selection of retail establishments—grocery stores, supermarkets, supercenters, convenience stores, drug stores, and liquor stores—across the United States provides Circana with weekly retail sales data (revenue and quantity).
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-penn-world.R
\docType{data}
\name{penn_world}
\alias{penn_world}
\title{Penn World Data}
\format{
A data frame with 12810 rows and 14 variables. Each row represents a country in a specific year.
\describe{
  \item{Country Code}{3-letter ISO country code}
  \item{Country}{country name}
  \item{Currency Unit}{currency unit}
  \item{Year}{year}
  \item{Real GDP Expenditure}{expenditure-side real GDP at chained PPPs (in mil. 2017US$)}
  \item{Real GDP Output}{output-side real GDP at chained PPPs (in mil. 2017US$)}
  \item{Population}{population (in millions)}
  \item{Emp}{number of persons engaged (in millions)}
  \item{Average Hours}{average annual hours worked by persons engaged}
  \item{PL Consumption}{price level of household consumption,  price level of USA GDPo in 2017=1}
  \item{PL Capital Formation}{price level of capital formation,  price level of USA GDPo in 2017=1}
  \item{PL Gov}{price level of government consumption,  price level of USA GDPo in 2017=1}
  \item{PL Exports}{price level of exports, price level of USA GDPo in 2017=1}
  \item{PL Imports}{price level of imports, price level of USA GDPo in 2017=1}
}
}
\source{
Feenstra, Robert C., Robert Inklaar and Marcel P. Timmer (2015), "The Next Generation of the Penn World Table" American Economic Review, 105(10), 3150-3182, available for download at \url{http://www.ggdc.net/pwt/}.
}
\usage{
penn_world
}
\description{
The data was downloaded from \url{https://www.rug.nl/ggdc/productivity/pwt/} and contains information about different economic measures of countries around the world. The dataset has been subset and variable names have been modified for exercise purposes.
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-country-rank.R
\docType{data}
\name{country_rank}
\alias{country_rank}
\title{FIFA World Cup 2026 Country and Ranking Data}
\format{
A data frame with 7 rows and 3 variables. Each row represents a country men's soccer team that qualified for the FIFA World Cup 2026.
\describe{
  \item{country}{name of the country soccer team}
  \item{fifa_rank}{FIFA world ranking as of April, 2026}
  \item{confederation}{region/continent association affiliated to FIFA}
}
}
\source{
Whereig editors (2026). \url{https://www.whereig.com/football/fifa-world-rankings.html/}.
}
\usage{
country_rank
}
\description{
The data was scraped from Whereig website \url{https://www.whereig.com/football/fifa-world-rankings.html/} and contains information on the Men's FIFA World Cup 2026 qualifying teams and ranking data as of 01 April 2026
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-mx-us-wc-ranks.R
\docType{data}
\name{mx_us_wc_ranks}
\alias{mx_us_wc_ranks}
\title{Mexico's and the United States' World Cup Participation Rankings Data}
\format{
A data frame with 2 rows and 5 variables. Each row represents Mexico's and the United States' men soccer team and their final participation ranking at the last four world cup tournaments.
\describe{
  \item{country}{name of the country soccer team}
  \item{2010}{final ranking in the 2010 world cup}
  \item{2014}{final ranking in the 2014 world cup}
  \item{2018}{final ranking in the 2018 world cup}
  \item{2022}{final ranking in the 2022 world cup}
}
}
\source{
(2026). \url{https://www.thesoccerworldcups.com/world_cups.php}.
}
\usage{
mx_us_wc_ranks
}
\description{
The data was gathered from The Soccer World Cups website \url{https://www.thesoccerworldcups.com/world_cups.php} and contains information about every World Cup played including national teams, standings, and more
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-country-capital.R
\docType{data}
\name{country_capital}
\alias{country_capital}
\title{FIFA World Cup 2026 Country and Capital Data}
\format{
A data frame with 5 rows and 3 variables. Each row represents a country men's soccer team that qualified for the FIFA World Cup 2026.
\describe{
  \item{country}{name of the country}
  \item{capital}{name of the country's capital city}
  \item{population}{population size in millions based on the United Nations Population Division estimates for 2025}
}
}
\source{
(2026). \url{https://theworlddata.com/world-population-by-country/}.

(2025). \url{https://www.worlddata.info/capital-cities.php}.
}
\usage{
country_capital
}
\description{
The data was obtained from The World Data website \url{https://theworlddata.com/world-population-by-country/} which contains information on the Men's FIFA World Cup 2026 qualifying teams and their 2025 population, 
and from the WorldData.info website \url{https://www.worlddata.info/capital-cities.php} which contains information on the capital cities of all countries.
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-confederations.R
\docType{data}
\name{confederations}
\alias{confederations}
\title{FIFA Confederations Data}
\format{
A data frame with 7 rows and 2 variables. Each row represents a FIFA confederation, including FIFA itself.
\describe{
  \item{confederation}{name of the FIFA member association}
  \item{region}{region or continent overseed by the confederation}
}
}
\source{
(2026). \url{https://inside.fifa.com/associations/}.
}
\usage{
confederations
}
\description{
The data was obtained from FIFA website \url{https://inside.fifa.com/associations/} and contains information on the FIFA Member Associations (MAs), also known are confederations, which are responsible for the development and governance of football/soccer within their region
}
\keyword{datasets}
